<?php

	class Mensagem
	{
		var $redirect = ""; 
		var $time = 1000;
		
		public function Make($mensagem, $titulo = "")
		{
			$conteudo = "";
			
			if ($this->redirect != "")
			{
				$conteudo = "
				<script type=\"text/javascript\">
				
					setTimeout(function() {
						$(location).attr('href','". $this->redirect ."');
					}, ". $this->time .");
				
				</script>";
			}
			
			if (!empty($titulo)){
			
				$conteudo .= "
				  <div>$titulo</div>
				  <div class=\"info\">$mensagem</div>";
			}
			else {
				$conteudo .= "
				  <div class=\"info\">$mensagem</div>";
			}

			return $conteudo;
		}
	}

?>